<main >
  <h1>{{title}}</h1>
  <h2>Número de registros encontrados: {{temperaturasResponse.length}}</h2>
  <h2>Pagina: {{currentPage}}</h2>
  <table>
    <thead>
      <tr>
        <th>Id</th>
        <th>City Id</th>
        <th>Name</th>
        <th>State</th>
        <th>Probability of precip</th>
        <th>Relativehu midity</th>
        <th>Last report time formato (YYYY/MM/DD)</th>
        <th>Llueve Si llueve = probability of precip > 60 || relativehumidity > 50</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let temperatura of temperaturas; let idx=index">
        <td (click)="showDetail(idx)">{{temperatura._id}}</td>
        <td *ngIf="temperatura.show">{{temperatura.cityid}}</td>
        <td *ngIf="temperatura.show">{{temperatura.name}}</td>
        <td *ngIf="temperatura.show">{{temperatura.state}}</td>
        <td *ngIf="temperatura.show">{{temperatura.probabilityofprecip}}</td>
        <td *ngIf="temperatura.show">{{temperatura.relativehumidity}}</td>
        <td *ngIf="temperatura.show">{{temperatura.lastreporttime}}</td>
        <td *ngIf="temperatura.show">{{probability(temperatura.probabilityofprecip, temperatura.relativehumidity )}}</td>
      </tr>
    </tbody>
  </table>
  <section class="paginator">
    <div (click)="changeTab(index)" class="page" *ngFor="let index of pagination">
      {{index}}
    </div>
  </section>
</main>